Subject: Re: How to set promiscuous mode

From: Phil Sutter <[email-masked]>
Date: Mon, 11 Feb 2019 10:14:18 +0100

Hi,

On Sat, Feb 09, 2019 at 03:22:33PM -0500, William Flanagan wrote:
> Working with iproute2 for a task with Wireshark.  I don't see the 
> command in 'ip' to put an Ethernet port into promiscuous mode.  A reply 
> from the openSuse forum (below) tells me how.
> 
> I'm wondering if this should be in the 'MAN ip' page.

Please have a look at ip-link(8), its synopsis section at least lists
'promisc' option for 'ip link set' command. I'll follow-up with a patch
adding a little description, though.

Cheers, Phil